Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1057418 - Review Request: ripright - A minimal CD ripper
Summary: Review Request: ripright - A minimal CD ripper
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Sandro Mani
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-01-24 04:21 UTC by Christopher Meng
Modified: 2014-03-15 19:50 UTC (History)
3 users (show)

Fixed In Version: ripright-0.9-2.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-02-16 23:16:26 UTC
manisandro: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Christopher Meng 2014-01-24 04:21:40 UTC
Spec URL: http://cicku.me/ripright.spec
SRPM URL: http://cicku.me/ripright-0.9-1.fc21.src.rpm
Description: RigRight is a minimal CD ripper for Linux modeled on autorip. It can run as a daemon and will automatically start ripping any CD found in the drive after which the disc will be ejected. Ripping is always to FLAC lossless audio format with tags taken from the community-maintained MusicBrainz lookup 
service and cover art from Amazon where possible. If a disc is unknown to 
MusicBrainz, the CD will be ejected without ripping and can also be 
optionally rejected if cover art cannot be found.

With RipRight, ripping a CD collection is just a matter of feeding your Linux 
PC each CD in turn and waiting while they are ripped. CDs which are immediately ejected can be checked with the MusicBrainz Picard tool which allows CD identifiers to be uploaded to the website database. Any errors or inaccuracies in the database records can also be edited on the MusicBrainz.
Fedora Account System Username: cicku

Comment 1 Sandro Mani 2014-02-12 12:38:21 UTC
All ok, approved!

Full review below. Only comment: you could replace
make install DESTDIR=%{buildroot}
by
%make_install


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "GPL (v2 or later) (with incorrect FSF address)", "Unknown or generated".
     1 files have unknown license. Detailed output of licensecheck in
     /home/sandro/.Data/Desktop/1057418-ripright/licensecheck.txt
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[-]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[ ]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 30720 bytes in 2 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[?]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[?]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: ripright-0.9-1.fc21.x86_64.rpm
          ripright-0.9-1.fc21.src.rpm
ripright.x86_64: W: spelling-error %description -l en_US autorip -> auto rip, auto-rip, authorship
ripright.x86_64: W: spelling-error %description -l en_US lossless -> loss less, loss-less, loveless
ripright.x86_64: W: spelling-error %description -l en_US lookup -> lockup, hookup, look up
ripright.x86_64: W: spelling-error %description -l en_US CDs -> CD, Cs, CD's
ripright.src: W: spelling-error %description -l en_US autorip -> auto rip, auto-rip, authorship
ripright.src: W: spelling-error %description -l en_US lossless -> loss less, loss-less, loveless
ripright.src: W: spelling-error %description -l en_US lookup -> lockup, hookup, look up
ripright.src: W: spelling-error %description -l en_US CDs -> CD, Cs, CD's
2 packages and 0 specfiles checked; 0 errors, 8 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint ripright
ripright.x86_64: W: spelling-error %description -l en_US autorip -> auto rip, auto-rip, authorship
ripright.x86_64: W: spelling-error %description -l en_US lossless -> loss less, loss-less, loveless
ripright.x86_64: W: spelling-error %description -l en_US lookup -> lockup, hookup, look up
ripright.x86_64: W: spelling-error %description -l en_US CDs -> CD, Cs, CD's
1 packages and 0 specfiles checked; 0 errors, 4 warnings.
# echo 'rpmlint-done:'



Requires
--------
ripright (rpmlib, GLIBC filtered):
    libFLAC.so.8()(64bit)
    libMagickCore-6.Q16.so.1()(64bit)
    libMagickWand-6.Q16.so.1()(64bit)
    libc.so.6()(64bit)
    libcdda_interface.so.0()(64bit)
    libcdda_paranoia.so.0()(64bit)
    libcurl.so.4()(64bit)
    libdiscid.so.0()(64bit)
    libgomp.so.1()(64bit)
    libpthread.so.0()(64bit)
    rtld(GNU_HASH)



Provides
--------
ripright:
    ripright
    ripright(x86-64)



Source checksums
----------------
http://www.mcternan.me.uk/ripright/software/ripright-0.9.tar.gz :
  CHECKSUM(SHA256) this package     : 793dfa215cc9591358f9521233fbbd7af9b7cca2cb06ad8993e891829656dd7e
  CHECKSUM(SHA256) upstream package : 793dfa215cc9591358f9521233fbbd7af9b7cca2cb06ad8993e891829656dd7e


Generated by fedora-review 0.5.1 (bb9bf27) last change: 2013-12-13
Command line :/usr/bin/fedora-review -b 1057418
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG

Comment 2 Christopher Meng 2014-02-13 00:26:08 UTC
New Package SCM Request
=======================
Package Name: ripright
Short Description: A minimal CD ripper
Owners: cicku
Branches: f19 f20 el6 epel7

Comment 3 Gwyn Ciesla 2014-02-13 12:56:23 UTC
Git done (by process-git-requests).

Comment 4 Fedora Update System 2014-02-14 04:50:56 UTC
ripright-0.9-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/ripright-0.9-1.fc19

Comment 5 Fedora Update System 2014-02-14 04:51:05 UTC
ripright-0.9-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/ripright-0.9-1.el6

Comment 6 Fedora Update System 2014-02-14 04:51:12 UTC
ripright-0.9-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/ripright-0.9-1.fc20

Comment 7 Fedora Update System 2014-02-15 07:03:54 UTC
ripright-0.9-1.fc19 has been pushed to the Fedora 19 testing repository.

Comment 8 Patrick Uiterwijk 2014-02-16 14:27:41 UTC
Please note that the description contains error (the first word says RigRight, which I assume should be RipRight).

Also, the code contains an old FSF address.

It also skips the test cases, as it misses a Requires on a flac encoder.

Comment 9 Fedora Update System 2014-02-16 23:16:26 UTC
ripright-0.9-1.fc20 has been pushed to the Fedora 20 stable repository.

Comment 10 Christopher Meng 2014-02-22 09:19:51 UTC
(In reply to Patrick Uiterwijk from comment #8)
> It also skips the test cases, as it misses a Requires on a flac encoder.

Thanks.

Comment 11 Fedora Update System 2014-02-22 09:39:55 UTC
ripright-0.9-2.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/ripright-0.9-2.fc20

Comment 12 Fedora Update System 2014-02-22 09:40:02 UTC
ripright-0.9-2.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/ripright-0.9-2.fc19

Comment 13 Fedora Update System 2014-02-22 09:40:10 UTC
ripright-0.9-2.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/ripright-0.9-2.el6

Comment 14 Fedora Update System 2014-03-04 06:38:09 UTC
ripright-0.9-2.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2014-03-04 06:41:21 UTC
ripright-0.9-2.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 16 Fedora Update System 2014-03-15 19:50:59 UTC
ripright-0.9-2.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.